Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Interface Definition

All Known Subinterfaces:
  AccessorDefinition, AttributeDefinition, DataControlDefinition, DefinitionContext, MethodReturnDefinition, NamedDefinition, OperationDefinition, ParameterDefinition, StructureDefinition, VariableDefinition

All Known Implementing Classes:
  AbstractDefinition, BaseAttributeDefinition, BaseValueObjectDefinition, DefaultDefinitionContext

public interface Definition

This is a a marker interface. This interface is the parent of other interfaces that are used for holding metadata.

Field Summary
`static int` | `TYPE_ACCESSOR` Constant for AccessorDefinition Classes that implements AccessorDefinition should return this in its getType().
`static int` | `TYPE_ATTRIBUTE` Constant for AttributeDefinition Classes that implements AttributeDefinition but not any of its subinterfaces should return this in its getType().
`static int` | `TYPE_DATACONTROL` Constant for DataControlDefinition Classes that implements DataControlDefinition should return this in its getType().
`static int` | `TYPE_DEFINITION` Constant for Definition.
`static int` | `TYPE_DEFINITIONCONTEXT` Constant for DefinitionContext Classes that implements DefinitionContext should return this in its getType().
`static int` | `TYPE_METHODRETURN` Constant for MethodReturnDefinition Classes that implements MethodReturnDefinition should return this in its getType().
`static int` | `TYPE_NAMED` Constant for NamedDefinition.
`static int` | `TYPE_OPERATION` Constant for OperationDefinition Classes that implements OperationDefinition should return this in its getType().
`static int` | `TYPE_PARAMETER` Constant for ParameterDefinition Classes that implements ParameterDefinition should return this in its getType().
`static int` | `TYPE_STRUCTURE` Constant for StructureDefinition.
`static int` | `TYPE_VARIABLE` Constant for VariableDefinition Classes that implements VariableDefinition but not any of its subinterfaces should return this in its getType().

Method Summary
`int` | `getDefinitionType()` Retrieves the type of this definition.

Field Detail

### TYPE_DEFINITION

    public static final int TYPE_DEFINITION

  Constant for Definition. Classes that implements Definition but not any of its subinterfaces should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_NAMED

    public static final int TYPE_NAMED

  Constant for NamedDefinition. Classes that implements NamedDefinition but not any of its subinterfaces should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_STRUCTURE

    public static final int TYPE_STRUCTURE

  Constant for StructureDefinition. Classes that implements StructureDefinition should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_ATTRIBUTE

    public static final int TYPE_ATTRIBUTE

  Constant for AttributeDefinition Classes that implements AttributeDefinition but not any of its subinterfaces should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_ACCESSOR

    public static final int TYPE_ACCESSOR

  Constant for AccessorDefinition Classes that implements AccessorDefinition should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_DATACONTROL

    public static final int TYPE_DATACONTROL

  Constant for DataControlDefinition Classes that implements DataControlDefinition should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_OPERATION

    public static final int TYPE_OPERATION

  Constant for OperationDefinition Classes that implements OperationDefinition should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_PARAMETER

    public static final int TYPE_PARAMETER

  Constant for ParameterDefinition Classes that implements ParameterDefinition should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_VARIABLE

    public static final int TYPE_VARIABLE

  Constant for VariableDefinition Classes that implements VariableDefinition but not any of its subinterfaces should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_DEFINITIONCONTEXT

    public static final int TYPE_DEFINITIONCONTEXT

  Constant for DefinitionContext Classes that implements DefinitionContext should return this in its getType().
  See Also:
    Constant Field Values

### TYPE_METHODRETURN

    public static final int TYPE_METHODRETURN

  Constant for MethodReturnDefinition Classes that implements MethodReturnDefinition should return this in its getType().
  See Also:
    Constant Field Values

Method Detail

### getDefinitionType

    public int getDefinitionType()

  Retrieves the type of this definition. It can be one of the TYPE_* constants defined in this class. This is useful to find out the actual type of the Definition without doing an instanceof operations.
  Returns:
    The type of definition that this Definition implementation class implements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.